org.omg.PortableServer

## Interface ServantManager

All Superinterfaces:
  IDLEntity, Object, Serializable, ServantManagerOperations

All Known Subinterfaces:
  ServantActivator, ServantLocator

All Known Implementing Classes:
  _ServantActivatorStub, _ServantLocatorStub

    public interface ServantManager
    extends ServantManagerOperations, Object, IDLEntity

A servant manager supplies a POA with the ability to activate objects on demand when the POA receives a request targeted at an inactive object. A servant manager is registered with a POA as a callback object, to be invoked by the POA when necessary. ServantManagers can either be ServantActivators or ServantLocators. A ServantManager object must be local to the process containing the POA objects it is registered with.

### Method Summary

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`